Subject: Further investigation of /run/user/1000

From: Bob Bowles <[email-masked]>
Date: Thu, 6 Nov 2025 13:14:50 +0000

Hi Mark

I have been experimenting with manually changing the group of /run/user/1000

Firstly, whatever manual changes are done, they are wiped every
reboot, so this isn't (as I thought earlier) explicitly to do with the
Excalibur upgrade. It seems that most packages in Excalibur expect the
owner/group to be user/root, but something still resets owner/group to
user/user during reboot.

If the group is changed to root after reboot but before gui login, I
notice several applications populate /run/user/1000 after gui login,
so it seems that this issue affects a lot more than just pulseaudio.
However, pulseaudio still fails and pulls down x11 with it, it just
doesn't complain about being able to access /run/user/1000/pulse.

It seems like there are actually two problems here:
1) the group identity of the directories in /run/user, where there
seems to be a mismatch in expectations between different parts of the
system. This seems to affect a lot of different packages, not just
pulseaudio.
2) other issues with pulseaudio that are making it fall over
ungracefully. This latter one is what causes the unwanted auto-logout.

I can post screenshots if required. but I think the description above
is clear enough. The system in question has no need of audio so I
could just remove pulseaudio, but that would not solve the underlying
issue(s).

Kind Regards   Bob Bowles